## com.imcode.imcms.api
Class TextDocument.MenuItem

    java.lang.Object
      com.imcode.imcms.api.TextDocument.MenuItem

Enclosing class:
  TextDocument

    public static class TextDocument.MenuItem

extends java.lang.Object

Nested Class Summary
`static class` `TextDocument.MenuItem.TreeKey`

Constructor Summary
`TextDocument.MenuItem(MenuItemDomainObject internalMenuItem, ContentManagementSystem contentManagementSystem)`

Method Summary
`Document` `getDocument()`
`int` `getManualNumber()` Deprecated. Use `getSortKey()`
`java.lang.Integer` `getSortKey()`
`TextDocument.MenuItem.TreeKey` `getTreeKey()`
`void` `setSortKey(java.lang.Integer sortKey)`
`void` `setTreeKey(TextDocument.MenuItem.TreeKey treeKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDocument.MenuItem

    public TextDocument.MenuItem(MenuItemDomainObject internalMenuItem,
                                 ContentManagementSystem contentManagementSystem)

Method Detail

### getDocument

    public Document getDocument()

### getManualNumber

    public int getManualNumber()

  Deprecated. Use `getSortKey()`

### getSortKey

    public java.lang.Integer getSortKey()

### setSortKey

    public void setSortKey(java.lang.Integer sortKey)

### getTreeKey

    public TextDocument.MenuItem.TreeKey getTreeKey()

### setTreeKey

    public void setTreeKey(TextDocument.MenuItem.TreeKey treeKey)